# signing.subjects.search

Search contractors and customers to link to an agreement and prefill the other party's details.

`GET | POST /api/v1/accounting/signing.subjects.search`

Permissions: `accounting:read` · Roles: admin, finance

MCP tool: `accounting_signing_subjects_search`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `query` | string |  | Text to search for. at most 200 characters. |
| `type` | enum |  | One of: `contractor`, `party`. |
| `limit` | integer |  | How many results to return at most. 1 to 50. Default `20`. |

## Example request

```bash
curl https://app.getoatmilk.com/api/v1/accounting/signing.subjects.search \
  -H "Authorization: Bearer $OATMILK_API_KEY"
```

Reference page: https://app.getoatmilk.com/docs/api/signing.subjects.search
